File: INSTALL

package info (click to toggle)
liblatex-driver-perl 0.10-1
  • links: PTS, VCS
  • area: main
  • in suites: wheezy
  • size: 432 kB
  • sloc: perl: 1,242; makefile: 4
file content (59 lines) | stat: -rw-r--r-- 1,697 bytes parent folder | download | duplicates (5)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59

                             LaTeX::Driver

                             Version 0.07

                            13 October 2007

           Copyright (C) 2007 Andrew Ford.  All Rights Reserved

          This is free software; you can redistribute it and/or
             modify it under the same terms as Perl itself.

             $Id: INSTALL 68 2007-10-12 22:59:52Z andrew $


QUICK INSTALL
-------------

The latest version of the LaTeX::Driver module can be retrieved from:

    http://www.cpan.org/modules/by-module/LaTeX-Driver/

To install the module

    tar zxf LaTeX-Driver-0.06.tar.gz
    cd LaTeX-Driver-0.06
    perl Makefile.PL
    make
    make test
    make install    

The Makefile.PL will prompt for the location of the LaTeX binaries. If
it can locate the binaries then the paths will be given as defaults.
If neither the latex nor the pdflatex binary can be found and no paths
are given for these programs then Makefile.PL will ask whether you
want to continue with the installation (as the module depends on there
being a functional tex installation present on the system).

For further details, see the sections below on CONFIGURATION, BUILDING
AND TESTING, and INSTALLATION.


PREREQUISITES
-------------

The LaTeX::Driver module is written entirely in Perl and should run on
any platform on which Perl is available (currently only Linux has been
tested).  It requires Perl 5.006 or later.

The following CPAN modules are used:

    Class::Accessor
    Cwd                 from PathTools
    Exception::Class
    File::Slurp
    File::Spec          from PathTools
    IO::File	        from IO

There are no known dependencies on particular versions of these modules.